<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductosMpdTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('productos_mpd', function (Blueprint $table) {
            $table->id();
            $table->integer('product_id')->nullable();
            $table->integer('insumo_id')->nullable();
            $table->string('formula')->nullable();
            $table->float('cantidad')->nullable();
            $table->float('valor')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('productos_mpd');
    }
}
